summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorilevy@chromium.org <ilevy@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-06-22 06:36:08 +0000
committerilevy@chromium.org <ilevy@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-06-22 06:36:08 +0000
commit48ad17ae9b347693dbd61382d372404a0ffd6d99 (patch)
tree08ba05c896c407c88f1c307f5bc14ad773a5881b
parentfafece1c7120bac8504f1702803121d53d29184b (diff)
downloadchromium_src-48ad17ae9b347693dbd61382d372404a0ffd6d99.zip
chromium_src-48ad17ae9b347693dbd61382d372404a0ffd6d99.tar.gz
chromium_src-48ad17ae9b347693dbd61382d372404a0ffd6d99.tar.bz2
Disable set -e for extract build step
This python script is returning warnings via error codes and we don't want to halt our tests from these warnings. BUG=132707 TEST= Review URL: https://chromiumcodereview.appspot.com/10629011 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@143550 0039d316-1c4b-4281-b951-d872f2087c98
-rwxr-xr-xbuild/android/buildbot_functions.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/build/android/buildbot_functions.sh b/build/android/buildbot_functions.sh
index d4bd758..dcea5f5 100755
--- a/build/android/buildbot_functions.sh
+++ b/build/android/buildbot_functions.sh
@@ -267,10 +267,24 @@ function bb_extract_build {
return 1
fi
+ # When extract_build.py downloads an unversioned build it
+ # issues a warning by exiting with large numbered return code
+ # When it fails to download it build, it exits with return
+ # code 1. We disable halt on error mode and return normally
+ # unless the python tool returns 1.
+ (
+ set +e
python ../../../../scripts/slave/extract_build.py \
--build-dir "$SRC_ROOT" \
--build-output-dir "out" \
--target Release \
--factory-properties "$FACTORY_PROPERTIES" \
--build-properties "$BUILD_PROPERTIES"
+ extract_exitcode=$?
+ if (( $extract_exitcode > 1 )); then
+ echo "@@@STEP_WARNINGS@@@"
+ return
+ fi
+ return $extract_exitcode
+ )
}